# <div align="center">**weizPVP /**  _README_

<center>

![GitHub Logo](https://i.imgur.com/Kmp7bt7.png)</center>

<p align="center">
  <b>Hosted on:</b><br>
  <a href="https://wow.curseforge.com/projects/weizpvp">Curse</a> |
  <a href="https://gitlab.com/GitWeiz/weizpvp">GitLab</a> |
  <a href="https://www.wowinterface.com/downloads/fileinfo.php?id=24779#info">WoW Interface</a>
</p>

<div align="left">

## :star: **OVERVIEW**
**This addon was developed with one goal in mind; World PVP.**
<p>Situational awareness is the name of the game; by detecting and identifying players quickly and accurately you have a much better understanding of your surroundings, which leads to better decision making.
Efficiency is always something that will be taken seriously with this addon; Large scale World PVP is laggy enough!</p>

----

## :notebook_with_decorative_cover: **FEATURES**

**A Nearby Player List**
- These bars will show detected players with info:
  - Name,  Level, Role, Guild, and Class.
  - Health updates happen multiple times a second.
  - Dead player icons and resorting within the list.

**Options / Configuration**

  - Can be accessed via **`/wpvp config`** or in Interface Options.
  - Window Locking.
  - Enable in BGs and Arenas.
  - Stealth detection that can trigger visual and/or audio alerts.
  - New player alert; Plays a sound when a new player is added to the Nearby List.
  - BETA Section added; A place for upcoming features & ideas that could use the testing

**Stealth Alerts**
 - Pops up a small frame when an enemy player is detected going invisible.
 - Optional sound played on detection.
 - The spell, ability, or item used to go invisible is shown in the pop up.
 - Player's name on pop up is class colored.
 - If the player who sheathed is listed, their name will tint as another visual indicator at-a-glance.

**Crosshairs**
 - Color changes based on class targeted.
 - Opacity fading based on distance.
 - Movement animations are based on FPS so they won't slow down if FPS drops.
 - Net-o-Matic icon appears if it is possible to use it on them.
 - Options for displaying the target's name and guild.

----

<br>

## :art: Screenshot(s)

![Screenshot 1](https://i.imgur.com/juc3yXY.png) 
